LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XDataDescriptorFactory Interface Referencepublished

provides the creation of a descriptor for a definition object. More...

`import <XDataDescriptorFactory.idl;`

Inheritance diagram for XDataDescriptorFactory:

## Public Member Functions
com::sun::star::beans::XPropertySet | createDataDescriptor ()
| returns a descriptor of a definition object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides the creation of a descriptor for a definition object.

## Member Function Documentation

## ◆ createDataDescriptor()

com::sun::star::beans::XPropertySet createDataDescriptor | ( |  | ) |

returns a descriptor of a definition object.

Returns
  the descriptor for that kind of objects

The documentation for this interface was generated from the following file:

- com/sun/star/sdbcx/XDataDescriptorFactory.idl